Function
getFileFormatExtensions
Returns file format extensions given a format tag.
getFileFormatExtensions(formatTag)
getFileFormatExtensions(formatTagList)
getFileFormatExtensions(formatTagSelector)
Include Headers
seqan/arg_parse.h
Parameters

format | A single file format, e.g. Fastq or Sam. Types: Tag
formatTagList | A list of file formats. Types: TagList
formatTagSelector | A file format selector. Types: TagSelector

Return Values
A std::vector<std::string> of all extensions supported by a single format or all formats of a list or selector.
Member of
ArgumentParser
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:57